body {
  padding: 0;
  margin: 0;
  font-family: 'Libre Franklin', sans-serif;
	background: #ffffff;
	color: #000000;
}

.material-icons {
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;
  font-size: 24px;
  line-height: 1;
  letter-spacing: normal;
  text-transform: none;
  display: inline-block;
  white-space: nowrap;
  word-wrap: normal;
  direction: ltr;
  -webkit-font-feature-settings: 'liga';
  -webkit-font-smoothing: antialiased;
}

/* #unity-container {  } */
/* #unity-container.unity-desktop { left: 50%; top: 50%; transform: translate(-50%, -50%) } */
#unity-container.unity-mobile {
  width: 100%;
  height: 100%;  
  align-content: center;
	justify-content: center;
}
#unity-canvas {
	background: #ffffff;
  width: 100%;
  height: 100%;
  min-width: 1024px;
  min-height: 768px;
}
.unity-mobile #unity-canvas {
  width: 100%;
  height: 100%;
}
#unity-loading-bar { position: absolute; left: 50%; top: 50%; transform: translate(-50%, -50%); display: none; text-align: center }
#unity-logo { width: 173px; height: 43px; margin: 0 auto; background: url('ivoclar_logo.png') no-repeat center; background-size: contain; padding-bottom:
	30px }
#unity-progress-bar-empty { width: 141px; height: 18px; margin: 30px auto 0 auto; background: url('progress-bar-empty-light.png') no-repeat center }
#unity-progress-bar-full { width: 0%; height: 18px; margin-top: 0; background: url('progress-bar-full-light.png') no-repeat center }
#unity-footer {
  position: relative;
}
.unity-mobile #unity-footer {
  display: none;
}
#unity-webgl-logo {
  float: left;
  width: 204px;
  height: 38px;
  background: url("webgl-logo.png") no-repeat center;
}
#unity-build-title {
  float: right;
  margin-right: 10px;
  line-height: 38px;
  font-family: arial;
  font-size: 18px;
}
#unity-fullscreen-button {
  float: right;
  width: 38px;
  height: 38px;
  background: url("fullscreen-button.png") no-repeat center;
}
#unity-warning {
  position: absolute;
  left: 50%;
  top: 5%;
  transform: translate(-50%);
  background: white;
  padding: 10px;
  display: none;
}

#unity-container {
  position: absolute;
  display: block;
  width: 100vw;
  height: 100vh;
  height: calc(var(--vh, 1vh) * 100);
	background: #ffffff !important;
  /* background: linear-gradient(0deg, rgba(4,0,16,1) 0%, rgba(32,0,78,1) 26%, rgba(18,18,117,1) 48%, rgba(0,6,73,1) 100%) !important; */
}



.richmedia-container {
	position:absolute;
	align-items: center;
	justify-content: center;
	display: none;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.8);
	transition: all 0.2s;
	opacity: 0;
}

#image-viewer {
	background-repeat: no-repeat;
	background-position: center center;
	background-size:contain;
}

.player {
	/*
	width: calc(100vw - 240px);
	height: calc(100vh - 140px);
	*/
	display: none;
	transition: all 0.2s;
	opacity: 0;
}

#pdf-viewer {
	width: calc(100vw - 240px);
	height: calc(100vh - 140px);
}



.player.visible {
	display: block;
	transition-delay: 0.2s;
	opacity:1;
}

.richmedia-container.visible {
	display: flex;
	opacity: 1;
}


.button {
	position: absolute;
	z-index: 2;
	cursor: pointer;
	height: 40px;
	width: 40px;
	display: flex;
	align-content: center;
	justify-content: center;
	margin: 10px;
}

.icon {
    font-size: 32px;
	color: rgb(52, 52, 52);
    margin: auto;
}

.button:hover {
	background-color:rgb(32, 32, 32);
	border-radius:50%;
}

.closeButton {
    top: 0px;
    right: 0px;
}

#prevButton {
	left: 0px;
}

#nextButton {
    right: 0px;
}
.downloadingSubtitle {
	text-align:center;
	color: rgb(52, 52, 52);
	margin-top: 40px;
	width: 750px;
}
.loadingIcon {
	 background: url("loading.png") no-repeat center;
	 animation: rotation 2s infinite linear;
	 width: 50px;
	 height: 50px;
	 position: absolute;
	 display: none;
}

.loadingIcon.visible {
	display: block;
}


.modal.visible {
	display: block;
	/*opacity: 1;*/
}

#form-iframe {
	border: none;
}
.modal {
	position: fixed; 
	z-index: 1000; 
	left: 0;
	top: 0;
	width: 100%; 
	height: 100%;
	background-color: rgb(0, 0, 0); 
	background-color: rgba(0, 0, 0, 0.4);
	display: none;
}

	/* Modal content */
.modal-content {
	position: relative;
	background-color: #fefefe;
	height: calc(100% - 100px);
	margin: 64px auto;
	border: 1px solid #888;
	width: 90%;
	box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
	animation-name: animatetop;
	animation-duration: 0.4s;
}

	/* Animation */
@keyframes animatetop {
	from {
	  top: -300px;
	  opacity: 0;
	}
	to {
	  top: 0;
	  opacity: 1;
	}
}

	/* Close button */
.close-btn {
	color: #aaa;
	float: right;
	font-size: 24px;
	font-weight: bold;
	position: absolute;
	right: -15px;
	top: -15px;
	border-radius: 50%;
	padding: 2px 10px;
	background: white;
}

.close-btn:hover,
.close-btn:focus {
	color: black;
	text-decoration: none;
	cursor: pointer;
}


@keyframes rotation {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(359deg);
  }
}
